/v1/spaces/{space_id}/chat| Name | Type | Required | Description |
|---|---|---|---|
space_id | string (uuid) | Required |
| Name | Type | Required | Description |
|---|---|---|---|
X-Pii-Mapping | string | Optional | |
X-Auto-Pii-Mapping | string | Optional | |
X-Pii-Positions | string | Optional | |
X-Chat-History-Pii-Mapping | string | Optional | |
X-API-Key | string | Optional |
thread_idobjectmessagestringRequiredmodelobjectparent_message_idobjectbranch_idobjectexisting_user_message_idobjectproject_idobjecttitleobjectmetadataobjectuploaded_filesstring[]pii_previewbooleancurl -X POST '/api-proxy/v1/spaces/{space_id}/chat' \
-H 'Authorization: Bearer <YOUR_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"thread_id": {},
"message": "string",
"model": {},
"parent_message_id": {},
"branch_id": {},
"existing_user_message_id": {},
"project_id": {},
"title": {},
"metadata": {},
"uploaded_files": [
"string"
],
"pii_preview": false
}'No response body documented
curl -X POST '/api-proxy/v1/spaces/{space_id}/chat' \
-H 'Authorization: Bearer <YOUR_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"thread_id": {},
"message": "string",
"model": {},
"parent_message_id": {},
"branch_id": {},
"existing_user_message_id": {},
"project_id": {},
"title": {},
"metadata": {},
"uploaded_files": [
"string"
],
"pii_preview": false
}'No response body documented